org.eclipse.ease.ui.help.hovers

## Class HoverManager

- java.lang.Object
- - org.eclipse.ease.ui.help.hovers.HoverManager

All Implemented Interfaces:
  IWidgetTokenOwner, IWidgetTokenOwnerExtension

    public class HoverManager
    extends java.lang.Object
    implements IWidgetTokenOwner, IWidgetTokenOwnerExtension

Manager for HTML hovers. Typically a hover manager is responsible for a part instance, eg a view or editor. The manager takes care that at max 1 hover will be visible at a time for all registered controls.

### Constructor Summary

Constructors
Constructor and Description
`HoverManager(Composite hoverContainer)` Creates a new HoverManager for a given container.

### Method Summary

All Methods Instance Methods Concrete Methods
`org.eclipse.ease.ui.help.hovers.internal.ControlHoverManager` `addHover(Control control, IHoverContentProvider hoverContent)` Add a hover for a control element.
`org.eclipse.ease.ui.help.hovers.internal.ControlHoverManager` `addHover(Control control, java.lang.String hoverContent)` Add a hover for a control element.
`org.eclipse.ease.ui.help.hovers.internal.ControlHoverManager` `addHover(TableViewer tableViewer, IHoverContentProvider hoverContent)` Add a hover for a table viewer.
`org.eclipse.ease.ui.help.hovers.internal.ControlHoverManager` `addHover(TreeViewer treeViewer, IHoverContentProvider hoverContent)` Add a hover for a tree viewer.
`void` `releaseWidgetToken(IWidgetTokenKeeper tokenKeeper)`
`boolean` `requestWidgetToken(IWidgetTokenKeeper requester)`
`boolean` `requestWidgetToken(IWidgetTokenKeeper requester, int priority)`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### HoverManager

    public HoverManager(Composite hoverContainer)

Creates a new HoverManager for a given container.

Parameters:
  `hoverContainer` - the container is typically the root composite of a part.

### Method Detail

#### addHover

    public org.eclipse.ease.ui.help.hovers.internal.ControlHoverManager addHover(Control control,
                                                                                 IHoverContentProvider hoverContent)

Add a hover for a control element.

Parameters:
  `control` - control to bind hover to
  `hoverContent` - hover content provider

#### addHover

    public org.eclipse.ease.ui.help.hovers.internal.ControlHoverManager addHover(Control control,
                                                                                 java.lang.String hoverContent)

Add a hover for a control element.

Parameters:
  `control` - control to bind hover to
  `hoverContent` - constant hover content

#### addHover

    public org.eclipse.ease.ui.help.hovers.internal.ControlHoverManager addHover(TableViewer tableViewer,
                                                                                 IHoverContentProvider hoverContent)

Add a hover for a table viewer.

Parameters:
  `tableViewer` - tableviewer to bind hover to
  `hoverContent` - hover content provider

#### addHover

    public org.eclipse.ease.ui.help.hovers.internal.ControlHoverManager addHover(TreeViewer treeViewer,
                                                                                 IHoverContentProvider hoverContent)

Add a hover for a tree viewer.

Parameters:
  `treeViewer` - treeviewer to bind hover to
  `hoverContent` - hover content provider

#### requestWidgetToken

    public boolean requestWidgetToken(IWidgetTokenKeeper requester,
                                      int priority)

Specified by:
  `requestWidgetToken` in interface `IWidgetTokenOwnerExtension`

#### requestWidgetToken

    public boolean requestWidgetToken(IWidgetTokenKeeper requester)

Specified by:
  `requestWidgetToken` in interface `IWidgetTokenOwner`

#### releaseWidgetToken

    public void releaseWidgetToken(IWidgetTokenKeeper tokenKeeper)

Specified by:
  `releaseWidgetToken` in interface `IWidgetTokenOwner`